API Test Keys

Send or Resend Notifications

POST
/v1/payment_links/:id/notify_by/:medium

Click to copy

Use this endpoint to send or resend notifications to your customers via email and SMS.

Is this page helpful?

Curl

change language

change language

1
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
2
-X POST https://api.razorpay.com/v1/payment_links/plink_Et2G7ymGcTTuM5/notify_by/sms \

Success

Failure

1
{
2
"success": true
3
}
Path Parameters
id

*

string

Unique identifier of the Payment Link that should be resent.

medium

*

string

Medium through which the Payment Link must be resent. Possible values:

  • sms
  • email

Response Parameters
success
boolean

Indicates whether the notification was sent successfully. Possible value is true, which means the notification was sent successfully.

Errors

not a valid notification medium

Error Status: 400

Occurs when you try to resend a Payment Link to customers and medium of notification is not valid.

Solution

The id provided does not exist.

Error Status: 400

The Payment Link id passed in the URL does not exist or does not belong to the requesting merchant.

Solution

Length of id should be exactly 14.

Error Status: 400

The Payment Link id in the URL is not 14 characters long (excluding the plink_ prefix). Razorpay Curlec-issued ids are always exactly 14 characters.

Solution

Request rate limit exceeded. Please try again later.

Error Status: 429

You have exceeded the per-link / per-medium notification rate limit. Razorpay Curlec caps how often the same notification can be re-sent for a given Payment Link.

Solution

Send or Resend Notifications

POST
/v1/payment_links/:id/notify_by/:medium

Click to copy

Use this endpoint to send or resend notifications to your customers via email and SMS.

Is this page helpful?

Path Parameters
id

*

string

Unique identifier of the Payment Link that should be resent.

medium

*

string

Medium through which the Payment Link must be resent. Possible values:

  • sms
  • email

Response Parameters
success
boolean

Indicates whether the notification was sent successfully. Possible value is true, which means the notification was sent successfully.

Errors

not a valid notification medium

Error Status: 400

Occurs when you try to resend a Payment Link to customers and medium of notification is not valid.

Solution

The id provided does not exist.

Error Status: 400

The Payment Link id passed in the URL does not exist or does not belong to the requesting merchant.

Solution

Length of id should be exactly 14.

Error Status: 400

The Payment Link id in the URL is not 14 characters long (excluding the plink_ prefix). Razorpay Curlec-issued ids are always exactly 14 characters.

Solution

Request rate limit exceeded. Please try again later.

Error Status: 429

You have exceeded the per-link / per-medium notification rate limit. Razorpay Curlec caps how often the same notification can be re-sent for a given Payment Link.

Solution

Curl

change language

change language

1
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
2
-X POST https://api.razorpay.com/v1/payment_links/plink_Et2G7ymGcTTuM5/notify_by/sms \

Success

Failure

1
{
2
"success": true
3
}